# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name highlighting-kate

# common part of summary for all the subpackages
%global common_summary Sourcecode syntax highlighting library

# main description used for all the subpackages
%global common_description Highlighting-kate is a syntax highlighting library with support for\
over one hundred languages. The syntax parsers are automatically\
generated from Kate syntax descriptions (http://kate-editor.org/), so\
any syntax supported by Kate can be added.

Name:           %{pkg_name}
Version:        0.2.9
Release:        2%{?dist}
Summary:        Sourcecode syntax highlighting library

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-containers-prof, ghc-filepath-prof, ghc-parsec-prof, ghc-pcre-light-prof, ghc-xhtml-prof

%description
%{common_description}

The package provides the Highlighting commandline program.


%prep
%setup -q


%build
%define cabal_configure_options -f executable
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts,
# and filelists ghc-highlighting-kate{,-devel,-prof}.files
%ghc_binlib_package


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/Highlight


%changelog
* Tue Jul 12 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-2
- update to cabal2spec-0.23.2

* Thu Jun  2 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-1
- GPLv2+
- add all dependencies

* Thu Jun  2 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23
